# TODO:
# - lib64 patch

# Conditional build:
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module

%define 	module	psycopg2
Summary:	psycopg is a PostgreSQL database adapter for Python
Summary(pl.UTF-8):	psycopg jest przeznaczonym dla Pythona interfejsem do bazy PostgreSQL
Name:		python-%{module}
Version:	2.5.1
Release:	1
License:	GPL
Group:		Libraries/Python
Source0:	http://initd.org/psycopg/tarballs/PSYCOPG-2-5/%{module}-%{version}.tar.gz
# Source0-md5:	1b433f83d50d1bc61e09026e906d84c7
#Patch0:		%{name}-lib64.patch
URL:		http://www.initd.org/software/psycopg/
BuildRequires:	autoconf
BuildRequires:	postgresql-backend-devel
BuildRequires:	postgresql-devel
%if %{with python2}
BuildRequires:	python-devel >= 2.5
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 2.5
%endif
BuildRequires:	rpm-pythonprov
Requires:	postgresql-libs
%if %{with python2}
Requires:	python-modules
%if "%{pld_release}" == "ac"
BuildRequires:	python-mx-DateTime-devel
Requires:	python-mx-DateTime
%else
# if somebody really needs mx.DateTime, then one can request mx.Datetime
# usage on runtime;
# it is pointless to use 'Requires' or 'Suggest' field because
# - python provides its own datetime implementation
# - one can request it on runtime (as said above)
# - usage of mx.DateTime type is application specific
# Sure, but make mx-DateTime conditional build work
BuildConflicts:   python-egenix-mx-base
%endif
Requires:	python-pytz
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch
with the aim of being very small and fast, and stable as a rock. The
main advantages of psycopg are that it supports the full Python
DBAPI-2.0 and being thread safe at level 2.

%description -l pl.UTF-8
psycopg jest przeznaczonym dla Pythona interfejsem do bazy danych
PostgreSQL (tak jak pygresql i popy). Został zakodowany od początku
z założeniem że ma być bardzo mały, szybki i stabilny. Główna zaletą
psycopg jest, że w jest pełni zgodny z standardem DBAPI-2.0 i jest
'thread safe' na poziomie 2.

%package -n python3-%{module}
Summary:	psycopg is a PostgreSQL database adapter for Python
Summary(pl.UTF-8):	psycopg jest przeznaczonym dla Pythona interfejsem do bazy PostgreSQL
Group:		Libraries/Python
%if %{with python3}
Requires:	python3-modules
Requires:	python3-pytz
%endif

%description -n python3-%{module}
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch
with the aim of being very small and fast, and stable as a rock. The
main advantages of psycopg are that it supports the full Python
DBAPI-2.0 and being thread safe at level 2.

%description -n python3-%{module} -l pl.UTF-8
psycopg jest przeznaczonym dla Pythona interfejsem do bazy danych
PostgreSQL (tak jak pygresql i popy). Został zakodowany od początku
z założeniem że ma być bardzo mały, szybki i stabilny. Główna zaletą
psycopg jest, że w jest pełni zgodny z standardem DBAPI-2.0 i jest
'thread safe' na poziomie 2.

%prep
%setup -q -n %{module}-%{version}
#%if "%{_lib}" == "lib64"
#%patch0 -p1
#%endif

%build
%if %{with python2}
%{__python} setup.py build
%endif
%if %{with python3}
%{__python3} setup.py build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

# find $RPM_BUILD_ROOT%{py_libdir} -type f -name "*.py" | xargs rm
%py_postclean
%endif
%if %{with python3}
%{__python3} setup.py install --optimize=2 --root=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc NEWS AUTHORS README doc/HACKING doc/SUCCESS
%dir %{py_sitedir}/%{module}
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/%{module}/*.py[co]
%if "%{pld_release}" != "ac"
%{py_sitedir}/*.egg-info
%endif
%{py_sitedir}/%{module}/tests
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc NEWS AUTHORS README doc/HACKING doc/SUCCESS
%dir %{py3_sitedir}/%{module}
%dir %{py3_sitedir}/%{module}/__pycache__
%attr(755,root,root) %{py3_sitedir}/%{module}/*.so
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/__pycache__/*.py*
%{py3_sitedir}/*.egg-info
%{py3_sitedir}/%{module}/tests
%endif
%changelog
* Thu Aug 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-psycopg2.git;a=log;h=master

* Thu Aug 08 2013 Mateusz Korniak <matkor@pld-linux.org> a8e74b3
- Smaller cover of %if %{with python3}

* Thu Aug 08 2013 Mateusz Korniak <matkor@pld-linux.org> 121405c
- Version 2.5.1-1. Trying to avoid python-psycopg2 R: python3-modules.

* Fri May 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 1ce5304
- Version: 2.5

* Wed Dec 21 2011 Mateusz Korniak <matkor@pld-linux.org> 921d82e
- Version 2.4.4-1.

* Thu Dec 08 2011 zbyniu <zbyniu@pld-linux.org> 50c34f1
- up to 2.4.2

* Thu May 19 2011 cieciwa <cieciwa@pld-linux.org> 853408a
- updated to 2.4.1,
- updated MD5 sum,
- updated source path.

* Sun Dec 26 2010 wrobell <wrobell@pld-linux.org> 943dc27
- ver. 2.3.2

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d27b52
- release 2

* Mon Aug 31 2009 wrobell <wrobell@pld-linux.org> c2ae9cd
- ver. 2.0.12

* Wed Jul 15 2009 wrobell <wrobell@pld-linux.org> 07c88ab
- fixed build conflicts for mx DateTime module obligatory requirement
- rel. 3

* Fri Jul 10 2009 Mateusz Korniak <matkor@pld-linux.org> 0e0021c
- Release 2.
  Disabled again nonworking (in Th) conditional build with python-mx-DateTime
  Build was failing on missing python-mx-DateTime-devel headers.

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d76e9c
- drop obsolete files

* Sat May 23 2009 Jacek Konieczny <jajcus@pld-linux.org> 4086b5c
- Version: 2.0.11

* Mon May 04 2009 wrobell <wrobell@pld-linux.org> 76b9c27
- ver. 2.0.10 (use r407 from official distribution, which contains fix for
  detection of postgresql betas); works with postgresql 8.4

* Wed Apr 01 2009 wrobell <wrobell@pld-linux.org> 89ddf33
- ver. 2.0.9
- removed pyrequires_eq macro usage as it does nothing

* Fri Jan 23 2009 wrobell <wrobell@pld-linux.org> 4093edd
- better explanation why not to require nor suggest mx.DateTime

* Fri Jan 23 2009 wrobell <wrobell@pld-linux.org> 432cab4
- fixed typo to include missing egg file properly, thx glen
- rel. 5

* Thu Jan 22 2009 wrobell <wrobell@pld-linux.org> f2a23dc
- typos

* Thu Jan 22 2009 wrobell <wrobell@pld-linux.org> 54964ab
- zope related stuff commented out for years, now... removed until someone
  is interested in it
- use one bcond type for AC line on HEAD
- rel. 4

* Fri Dec 19 2008 Mateusz Korniak <matkor@pld-linux.org> df9bb38
- Release 3. Killed nonworking mx bcond. Prepared for Ac.

